# Type alias TransferRequest<PN>

TransferRequest<PN>: PN extends "TokenBridge" | "AutomaticTokenBridge"
? TokenTransferDetails
: PN extends "CircleBridge" | "AutomaticCircleBridge"
? CircleTransferDetails
: PN extends "IbcBridge"
? GatewayTransferDetails
: never

#### Type Parameters

- #### PN extends ProtocolName = ProtocolName

- Defined in connect/src/wormholeTransfer.ts:22

Generated using TypeDoc